*
* GETRAW.PRG
*
* Visual dBase "GETRAW" program.
*

#INCLUDE C:\TEMP\SEE32.CC
#INCLUDE C:\TEMP\KEYCODE.CC

*** PROGRAMMER: Edit these strings [use host name or IP address for server] ***
Pop3Server = "10.0.0.1"
Pop3UserName = "mike"
Pop3Password  = "mike"
RawFileName = "C:\TEMP\FILE.RAW"
DiagFile = "C:\TEMP\GETRAW.LOG"
* Note 1: do NOT use pathname in EmailName
EmailName = "email.txt"
* Note 2: use full path names unless file is located in FoxPro directory
EmailDir = "C:\TEMP"
*** END PROGRAMMER ***

? "GETRAW 02/10/2000"
Code = seeAttach(1, SEE_KEY_CODE)
if Code < 0
  ? "Cannot attach SEE"
  return
endif
***Code = seeStringParam(0,SEE_LOG_FILE, DiagFile)
* set maximum connect wait to 10 seconds
Code = seeIntegerParam(0, SEE_CONNECT_WAIT, 10000)
* connect to POP3 server
? "Connecting to " + Pop3Server
Code = seePop3Connect(0, Pop3Server, Pop3UserName, Pop3Password)
if Code < 0
  Temp = SPACE(128)
  Code = seeErrorText(0, Code, Temp, 128)
  ? Left(Temp,Code)
else
  * get # messages waiting
  ? "Getting message status..."
  NbrMessages = seeGetEmailCount(0)
  if NbrMessages < 0
    Temp = SPACE(128)
    Code = seeErrorText(0, NbrMessages, Temp, 128)
    ? Left(Temp,Code)
  else
    ? NbrMessages," messages waiting."
    If NbrMessages = 0
      Code = seeClose(0)
      Code = seeRelease()
      return
    Endif
    ? "Enter message # to read:"
    MsgNbr = AcceptInteger()
    If (MsgNbr>0) And (MsgNbr <= NbrMessages)
      ? "Downloading Message ", LTRIM(STR(MsgNbr)), " to ",RawFileName,", please wait..."
      Buffer = SPACE(5000)
      Code = seeGetEmailLines(0, MsgNbr, 9999, Buffer, 5000)
      if Code < 0
        Temp = SPACE(128)
        Code = seeErrorText(0, Code, Temp, 128)
        ? Left(Temp,Code)
        Code = seeClose(0)
        Code = seeRelease()
        return
      endif
      * save file
      ? Str(Code) + " characters downloaded."
      Handle = FCREATE(RawFileName)
      FPUTS(Handle, Left(Buffer,Code))
      FCLOSE(Handle)
    else
      ? "No such message"
    endif
  endif
endif
? "Done."
Code = seeClose(0)
Code = seeRelease()
return

Function AcceptInteger()
Value = 0
DO While Value >= 0
  X = InKey(0)
  ?? Chr(X)
  If (X >= Asc("0")) And (X <= Asc("9"))
    Value = 10 * Value + (X - Asc("0"))
  else
    exit
  endif
Enddo
return Value
