*
* MAILER.PRG
*
* Visual dBase "MAILER" program (for SEE 3.0)
*
* This program connects to the SMTP server specified by 'SmtpServer'
* and emails message 'Message' to 'SmtpTo' with subject 'Subject' and
* attachment 'Attachment'.
*
* PROGRAMMER:
*   Edit the variables 'SmtpServer', 'SmtpFrom', 'SmtpTo', etc.
*   below before compiling. Also edit the following INCLUDE commands
*   with the location of SEE32.CC and KEYCODE.CC

#INCLUDE C:\TEMP\SEE32.CC
#INCLUDE C:\TEMP\KEYCODE.CC

EmptyStr = Chr(0)

*** PROGRAMMER: Edit these strings [use host name or IP address for server] ***
SmtpServer = "10.0.0.1"
SmtpFrom = "<mike@10.0.0.1>"
SmtpTo   = "<mike@10.0.0.1>"
Subject = "Emailing _READ_ME.TXT with attachment MAILER.PRG"
CClist = EmptyStr
BCClist = EmptyStr
* Note 1: use full path names unless file is located in dBase directory
* Note 2: note the leading '@' character in Message
Message = "@C:\TEMP\_read_me.txt"
Attachment = "C:\TEMP\mailer.prg"
DiagFile = "C:\TEMP\mailer.log"
*** END PROGRAMMER ***

? "MAILER 2/16/2000"
if seeAttach(1, SEE_KEY_CODE) < 0
  ? "Cannot attach SEE"
  return
endif
Code = seeStringParam(0, SEE_LOG_FILE, DiagFile)
* set maximum connect wait to 10 seconds
Code = seeIntegerParam(0, SEE_CONNECT_WAIT, 10000)
* connect to POP3 server
? "Connecting to " + SmtpServer
Code = seeSmtpConnect(0, SmtpServer, SmtpFrom, EmptyStr)
if Code < 0
  Temp = SPACE(128)
  Code = seeErrorText(0,Code,Temp,128)
  ? Temp
else
  * send email message
  ? "Sending email to " + SmtpTo
  Code = seeSendEmail(0,SmtpTo,CClist,BCClist,Subject,Message,Attachment)
  if Code < 0
    Temp = SPACE(128)
    Code = seeErrorText(0,Code,Temp,128)
    ? Left(Temp,Code)
  else
    ? "Email has been sent."
  endif
endif
? "Done."
Code = seeClose(0)
Code = seeRelease()
return



