*
* MAILER2.PRG
*
* Visual dBase "MAILER2" program (for SEE 3.0)
*
* This program is the same as MAILER.PRG except that it calls seeDriver
* directly in order to display upload progress.
*
* This program connects to the SMTP server specified by 'SmtpServer'
* and emails message 'Message' to 'SmtpTo' with subject 'Subject' and
* attachment 'Attachment'.
*
* PROGRAMMER:
*   Edit the variables 'SmtpServer', 'SmtpFrom', 'SmtpTo', etc.
*   below before compiling. Also edit the following INCLUDE commands
*   with the location of SEE32.CC and KEYCODE.CC

#INCLUDE C:\TEMP\SEE32.CC
#INCLUDE C:\TEMP\KEYCODE.CC

EmptyStr = Chr(0)

*** PROGRAMMER: Edit these strings [use host name or IP address for server] ***
SmtpServer = "10.0.0.1"
SmtpFrom = "<mike@10.0.0.1>"
SmtpTo   = "<mike@10.0.0.1>"
Subject = "Emailing _READ_ME.TXT with attachment MAILER2.PRG"
CClist = EmptyStr
BCClist = EmptyStr
* Note 1: use full path names unless file is located in dBase directory
* Note 2: note the leading '@' character in Message
Message = "@C:\TEMP\_read_me.txt"
Attachment = "C:\TEMP\mailer2.prg"
DiagFile = "C:\TEMP\mailer2.log"
*** END PROGRAMMER ***

? "MAILER2 2/16/2000"
if seeAttach(1, SEE_KEY_CODE) < 0
  ? "Cannot attach SEE"
  return
endif
Code = seeStringParam(0, SEE_LOG_FILE, DiagFile)
* set maximum connect wait to 10 seconds
Code = seeIntegerParam(0, SEE_CONNECT_WAIT, 10000)
* connect to POP3 server
? "Connecting to " + SmtpServer
Code = seeSmtpConnect(0, SmtpServer, SmtpFrom, EmptyStr)
if Code < 0
  Temp = SPACE(128)
  Code = seeErrorText(0,Code,Temp,128)
  ? Temp
else
  * disable AUTO CALL
  Code = seeIntegerParam(0, SEE_AUTO_CALL_DRIVER, 0)
  * send email message
  ? "Sending email to " + SmtpTo
  Code = seeSendEmail(0,SmtpTo,CClist,BCClist,Subject,Message,Attachment)
  nPrevious = 1
  * run the driver
  Do while .T.
    Code = seeDriver(0)
    if Code = 0
      Exit
    endif
    if Code < 0
      Code = seeErrorText(0,Code,Temp,128)
      ? Left(Temp,Code)
      Code = seeClose(0)
      Code = seeRelease()
      return
    endif
    nBytes = seeStatistics(0,SEE_GET_TOTAL_BYTES_SENT)
    if nBytes <> nPrevious
      ? nBytes, " bytes sent"
      nPrevious = nBytes
    endif
  Enddo
  * re-enable AUTO CALL
  Code = seeIntegerParam(0, SEE_AUTO_CALL_DRIVER, 1)
  ? "Email has been sent."
endif
? "Done."
Code = seeClose(0)
Code = seeRelease()
return



